﻿@model registration.ViewModel.RegisterVM
@{
    ViewBag.Title = "Register";
}

<h2>Register</h2>

<div class="container">
    @using (Html.BeginForm("SaveRegisterDetails", "Account"))
    {
        @*<div style="color:red;">@Html.ValidationSummary()</div>*@
        <div class="row">
            <div class="col-md-12 register">
                <input type="hidden" class="col-md-12 btn btn-warning message" value="@ViewBag.Data" />
                <h4>@ViewBag.Message</h4>
            </div>
        </div><br />
        <div class="row">
            <div class="col-md-12">@Html.TextBoxFor(a => a.MobileNumber, new { @class = "form-control", placeholder = "Mobile Number" })</div>
            <div class="col-md-12" style="color:red;">@Html.ValidationMessageFor(a => a.MobileNumber, "", new { @class = "text-danger" })</div>
        </div><br />
        <div class="row">
            <div class="col-md-12">@Html.TextBoxFor(a => a.FirstName, new { @class = "form-control", placeholder = "FirstName" })</div>
            <div class="col-md-12" style="color:red;">@Html.ValidationMessageFor(a => a.FirstName, "", new { @class = "text-danger" })</div>
        </div><br />
        <div class="row">
            <div class="col-md-12">@Html.TextBoxFor(a => a.LastName, new { @class = "form-control", placeholder = "LastName" })</div>
            <div class="col-md-12" style="color:red;">@Html.ValidationMessageFor(a => a.LastName, "", new { @class = "text-danger" })</div>
        </div><br />
        <div class="row">
            <div class="col-md-2">@Html.LabelFor(a => a.DateOfBirth)</div>
        </div>
        <div class="row">
            <div class="col-md-10">@Html.EditorFor(a => a.DateOfBirth, "{0:yyyy-MM-dd}", new { @class = "form-control date", placeholder = "" })</div>
        </div><br />
        <div class="row">
            <div class="col-md-10">
                @Html.RadioButtonFor(a => a.Gender, "true", false) Male
                @Html.RadioButtonFor(a => a.Gender, "false", false) Female
            </div>
        </div><br />
        <div class="row">
            <div class="col-md-12">@Html.TextBoxFor(a => a.Email, new { @class = "form-control", placeholder = "Email" })</div>
            <div class="col-md-12" style="color:red;">@Html.ValidationMessageFor(a => a.Email, "", new { @class = "text-danger" })</div>
        </div><br />
        <input type="submit" value="Register" class="col-md-12 btn btn-primary reg" /><br /><br />
        <input type="button" value="Login" class="col-md-12 btn btn-success log" hidden />
    }
    <!-- Modal -->
    <div class="modal fade" id="myModal" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-body">
                    @using (Html.BeginForm("Login", "Account"))
                    {
                    <div class="form-group">
                        <p class="form-group">@ViewBag.Message</p> You can login now
                        <input type="submit" value="Login" class="btn btn-success" />
                    </div>
                    }

                </div>
            </div>

        </div>
    </div>

</div>
<script type="text/javascript">

    $(document).ready(function () {
        $('.log').hide();
        $('.date').datetimepicker();

        var check = $('.message').val();
        console.log(check);
        if (check == 'registered') {
            $('.reg').show();
            $('.log').hide();
            $('#myModal').modal('toggle');
        }
    });

</script>

